org.cryptomator.cryptolib.api.AuthenticationFailedException: Header MAC doesn't match.

GitHub | KaiSchilling | 3 months ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Vault migration to 1.2.3 may fail when using MagentaCloud

    GitHub | 3 months ago | KaiSchilling
    org.cryptomator.cryptolib.api.AuthenticationFailedException: Header MAC doesn't match.
  2. 0

    Cryptomator won't migrate vault to new 1.2.0. version format

    GitHub | 7 months ago | mirror1337
    org.cryptomator.cryptolib.api.AuthenticationFailedException: Header MAC doesn't match.
  3. 0

    GitHub comment 350#251593610

    GitHub | 7 months ago | RobLach
    org.cryptomator.cryptolib.api.AuthenticationFailedException: Authentication of chunk 7 failed.
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    GitHub comment 395#260127402

    GitHub | 5 months ago | tobihagemann
    java.lang.NoClassDefFoundError: org/cryptomator/siv/UnauthenticCiphertextException

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. org.cryptomator.cryptolib.api.AuthenticationFailedException

      Header MAC doesn't match.

      at org.cryptomator.cryptolib.v1.FileHeaderCryptorImpl.decryptHeader()
    2. org.cryptomator.cryptolib
      FileHeaderCryptorImpl.decryptHeader
      1. org.cryptomator.cryptolib.v1.FileHeaderCryptorImpl.decryptHeader(FileHeaderCryptorImpl.java:108)[cryptolib-1.0.7.jar:?]
      1 frame
    3. org.cryptomator.ui
      UpgradeVersion4to5$1.visitFile
      1. org.cryptomator.ui.model.UpgradeVersion4to5.migrate(UpgradeVersion4to5.java:82)[Cryptomator-1.2.3.jar:1.2.3]
      2. org.cryptomator.ui.model.UpgradeVersion4to5.access$100(UpgradeVersion4to5.java:32)[Cryptomator-1.2.3.jar:1.2.3]
      3. org.cryptomator.ui.model.UpgradeVersion4to5$1.visitFile(UpgradeVersion4to5.java:59)[Cryptomator-1.2.3.jar:1.2.3]
      4. org.cryptomator.ui.model.UpgradeVersion4to5$1.visitFile(UpgradeVersion4to5.java:54)[Cryptomator-1.2.3.jar:1.2.3]
      4 frames
    4. Java RT
      Files.walkFileTree
      1. java.nio.file.Files.walkFileTree(Files.java:2670)[?:1.8.0_112]
      2. java.nio.file.Files.walkFileTree(Files.java:2742)[?:1.8.0_112]
      2 frames
    5. org.cryptomator.ui
      AsyncTaskService$AsyncTaskImpl.lambda$run$7
      1. org.cryptomator.ui.model.UpgradeVersion4to5.upgrade(UpgradeVersion4to5.java:54)[Cryptomator-1.2.3.jar:1.2.3]
      2. org.cryptomator.ui.model.UpgradeStrategy.upgrade(UpgradeStrategy.java:55)[Cryptomator-1.2.3.jar:1.2.3]
      3. org.cryptomator.ui.controllers.UpgradeController.lambda$upgrade$1(UpgradeController.java:111)[Cryptomator-1.2.3.jar:1.2.3]
      4. org.cryptomator.ui.util.AsyncTaskService.lambda$asyncTaskOf$0(AsyncTaskService.java:32)[Cryptomator-1.2.3.jar:1.2.3]
      5. org.cryptomator.ui.util.AsyncTaskService$AsyncTaskImpl.lambda$null$6(AsyncTaskService.java:89)[Cryptomator-1.2.3.jar:1.2.3]
      6. org.cryptomator.ui.util.AsyncTaskService.logExceptions(AsyncTaskService.java:118)[Cryptomator-1.2.3.jar:1.2.3]
      7. org.cryptomator.ui.util.AsyncTaskService.access$100(AsyncTaskService.java:19)[Cryptomator-1.2.3.jar:1.2.3]
      8. org.cryptomator.ui.util.AsyncTaskService$AsyncTaskImpl.lambda$run$7(AsyncTaskService.java:87)[Cryptomator-1.2.3.jar:1.2.3]
      8 frames
    6. Java RT
      Thread.run
      1. java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)[?:1.8.0_112]
      2. java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)[?:1.8.0_112]
      3. java.lang.Thread.run(Thread.java:745)[?:1.8.0_112]
      3 frames